<?php

function dashboard_get_petty_cash_expense_types($from_date, $to_date, $vehicle_id=0) {
    
    $sql = "SELECT ex.expense_type_id , SUM(ex.approved_amount) approved_total , n.value_name  expense_type_name 
            FROM ".TB_PREF."i_owe_you_expenses ex  
                JOIN ".TB_PREF."i_owe_you_batches b  
                    ON ex.iou_batch_no = b.batch_no 
                JOIN ".TB_PREF."list_values n   
                    ON n.id = ex.expense_type_id  
            WHERE b.tran_date >= ".db_escape($from_date)." 
                AND b.tran_date <= ".db_escape($to_date);
    
    if($vehicle_id > 0){
        $sql .=" AND ex.expense_category_id = ".db_escape(EC_VEHICLE_MAINTENANCE)." 
                    AND ex.expense_item_id = ".db_escape($vehicle_id);
    }
    
    $sql .= " GROUP BY ex.expense_type_id  
            ORDER BY approved_total DESC ";    
                
        return db_query($sql, "dashboard_get_petty_cash_expense_types"); 
}

function dashboard_get_petty_cash_period_expense_type_total($expense_type_id, $from_date, $to_date, $vehicle_id=0) {
    
    $sql = "SELECT SUM(ex.approved_amount) approved_amount   
            FROM ".TB_PREF."i_owe_you_expenses ex  
                JOIN ".TB_PREF."i_owe_you_batches b  
                    ON ex.iou_batch_no = b.batch_no  
            WHERE b.tran_date >= ".db_escape($from_date)." 
                AND b.tran_date <= ".db_escape($to_date)." 
                AND ex.expense_type_id = ".db_escape($expense_type_id);
    
    if($vehicle_id > 0){
        $sql .=" AND ex.expense_category_id = ".db_escape(EC_VEHICLE_MAINTENANCE)." 
                    AND ex.expense_item_id = ".db_escape($vehicle_id);
    }
    
                
        $result = db_query($sql, "dashboard_get_petty_cash_period_expense_type_total"); 
        
        return db_result_value($result, 'approved_amount');
}
